Skip to content

Update editable group field values. Add or remove group members and security profiles.

PUT/api/{version}/objects/groups/{group_id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{group_id}The group id field value.

In the body of the request, add any editable fields your wish to update.

NameDescription
label__vUpdates the label of the group.
members__vAdd a comma-separated list of user IDs. This manually assigns individual users to the group.
security_profiles__vAdd a comma-separated list of security profiles.
active__vTo set the group to inactive, set this value to false.
group_description__vUpdates the description of the group.

You may change the values of any editable group field. Changing the security_profiles__v will automatically replace all previous implied users assigned via the previous security profile.

To add or remove group members, add a comma-separated list of user IDs in members__v. This replaces all previous users who were manually assigned. This action is not additive.

Alternatively, you can add or remove group members without replacing previous users in the following ways:

  • To add users, set the value of members__v to add followed by a comma-separated list of user IDs enclosed in parenthesis. For example add (userID1, userID2). This only adds the specified users to the group.

  • To delete users, set the value of members__v to delete followed by a comma-separated list of user IDs enclosed in parenthesis. For example delete (userID1, userID2) This only removes the specified users from the group.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "label__v=Cholecap Team" \ -d "members__v=45501,45502,45503,45004" \ https://myvault.veevavault.com/api/v18.2/objects/groups/1358979070034
{ "responseStatus": "SUCCESS", "responseMessage": "Group successfully updated.", "id": 1358979070034 }